//ReadOnlyPastBeforeSave.js

//Purpose:
//Prevents items with a start date in the past from being edited via drag and drop.
//To be uses in conjunction with ReadOnlyPastOnClick.js

//Action Type: Before Event Save
//Prevent Default Action: Yes

//More info on Before Event Save actions and objects here:
//https://www.seedcode.com/pmwiki/index.php?n=DayBackOnline.CustomActionObjects#BeforeSave

//you shouldn't need to edit any of the code.

var now = moment();
if(event.beforeDrop && event.eventID && event.beforeDrop.start.isBefore(now)){
  //if start is in the past and if drag and drop throw modal error and revert.
  utilities.showModal('Error','This event cannot be re-scheduled because it is in the past', 'OK', cancelFunction);
  //since we're overriding behavior, clear before drop manually
  delete event.beforeDrop;
}
else{
  //continue with action
  action.callbacks.confirm();
}

function cancelFunction(){
  //revert event after user hits OK
  action.callbacks.cancel();
}
